Bug 653669 - bash-completion turns stty echo off
Summary: bash-completion turns stty echo off
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: bash-completion
Version: el5
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-15 21:58 UTC by Adam Stephens
Modified: 2010-12-03 17:02 UTC (History)
2 users (show)

Fixed In Version: bash-completion-1.2-4.el5.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 17:02:06 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Stephens 2010-11-15 21:58:29 UTC
Description of problem:

With the upgrade to bash-completion 1.2 on el5, certain actions leave stty echo in an off state.

Version-Release number of selected component (if applicable):

bash-completion-1.2-4.el5, bash-completion-1.2-4.el5.1

How reproducible:

100%

Steps to Reproduce:
1. tail -f /var/log/messages
2. control-c to kill tail
  
Actual results:

echo is off after control-c

Expected results:

echo on.

Additional info:

Reverting to 1.1 produces expected results. This was introduced in 1.2.

Comment 1 Ville Skyttä 2010-11-16 06:32:15 UTC
Confirmed, will look into it.  Thanks for the report.

Comment 2 Fedora Update System 2010-11-16 19:16:20 UTC
bash-completion-1.2-4.el5.2 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bash-completion-1.2-4.el5.2

Comment 3 Adam Stephens 2010-11-16 19:22:30 UTC
Confirmed bash-completion-1.2-4.el5.2 fixes echo off bug

Comment 4 Fedora Update System 2010-11-17 17:03:27 UTC
bash-completion-1.2-4.el5.2 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bash-completion'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bash-completion-1.2-4.el5.2

Comment 5 Fedora Update System 2010-12-03 17:01:54 UTC
bash-completion-1.2-4.el5.2 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.